Name:          xkeyboard-config
Version:       2.44
Release:       1mamba
Summary:       X Keyboard Configuration Database
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/XKeyboardConfig/
Source:        https://x.org/archive/individual/data/xkeyboard-config/xkeyboard-config-%{version}.tar.xz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Provides:      xkbdata
Obsoletes:     xkbdata < 2.35.1
Provides:      xorg-xkbdata
Obsoletes:     xorg-xkbdata < 2.35.1

%description
The non-arch keyboard configuration database for X Window. The goal is to provide the consistent, well-structured, frequently released open source of X keyboard configuration data for X Window System implementations (free, open source and commercial). The project is targeted to XKB-based systems.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The non-arch keyboard configuration database for X Window. The goal is to provide the consistent, well-structured, frequently released open source of X keyboard configuration data for X Window System implementations (free, open source and commercial). The project is targeted to XKB-based systems.
This package contains static libraries and header files needed for development.

#% debug_package

%prep
%setup -q

%build
%meson \
   -Dxkb-base="%{_datadir}/X11/xkb" \
   -Dxorg-rules-symlinks=true \
   -Dcompat-rules=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%pre
# fix upgrade from xkbdata
[ -d %{_datadir}/X11/xkb/symbols/pc ] && \
   mv %{_datadir}/X11/xkb/symbols/pc /usr/share/X11/xkb/symbols/pc.rpmsave
exit 0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/X11/xkb/*
%{_mandir}/man7/xkeyboard-config.7*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/xkeyboard-config.pc
%doc ChangeLog.md README.md

%changelog
* Sun Mar 02 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.44-1mamba
- update to 2.44

* Sat Oct 05 2024 Automatic Build System <autodist@openmamba.org> 2.43-1mamba
- automatic version update by autodist

* Sat Jun 08 2024 Automatic Build System <autodist@openmamba.org> 2.42-1mamba
- automatic version update by autodist

* Tue Feb 06 2024 Automatic Build System <autodist@openmamba.org> 2.41-1mamba
- automatic version update by autodist

* Sat Oct 07 2023 Automatic Build System <autodist@mambasoft.it> 2.40-1mamba
- automatic version update by autodist

* Tue Jun 13 2023 Automatic Build System <autodist@mambasoft.it> 2.39-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 2.38-1mamba
- automatic version update by autodist

* Thu Oct 06 2022 Automatic Build System <autodist@mambasoft.it> 2.37-1mamba
- automatic version update by autodist

* Sat Jun 04 2022 Automatic Build System <autodist@mambasoft.it> 2.36-1mamba
- automatic version update by autodist

* Sat Apr 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.35.1-1mamba
- update to 2.35.1

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 2.34-1mamba
- automatic version update by autodist

* Fri Jun 18 2021 Automatic Build System <autodist@mambasoft.it> 2.33-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 2.32-1mamba
- automatic version update by autodist

* Fri Oct 09 2020 Automatic Build System <autodist@mambasoft.it> 2.31-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 2.30-1mamba
- automatic version update by autodist

* Thu Feb 06 2020 Automatic Build System <autodist@mambasoft.it> 2.29-1mamba
- automatic version update by autodist

* Thu Oct 24 2019 Automatic Build System <autodist@mambasoft.it> 2.28-1mamba
- automatic version update by autodist

* Fri May 31 2019 Automatic Build System <autodist@mambasoft.it> 2.27-1mamba
- automatic version update by autodist

* Tue Feb 05 2019 Automatic Build System <autodist@mambasoft.it> 2.26-1mamba
- automatic version update by autodist

* Fri Oct 19 2018 Automatic Build System <autodist@mambasoft.it> 2.25-1mamba
- automatic version update by autodist

* Sat Jun 09 2018 Automatic Build System <autodist@mambasoft.it> 2.24-1mamba
- automatic version update by autodist

* Wed Feb 07 2018 Automatic Build System <autodist@mambasoft.it> 2.23.1-1mamba
- automatic version update by autodist

* Sun Dec 31 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22-2mamba
- enable rules/xorg symlink required by calamares

* Sun Oct 08 2017 Automatic Build System <autodist@mambasoft.it> 2.22-1mamba
- automatic version update by autodist

* Sun Aug 13 2017 Automatic Build System <autodist@mambasoft.it> 2.21-1mamba
- automatic version update by autodist

* Mon Feb 06 2017 Automatic Build System <autodist@mambasoft.it> 2.20-1mamba
- automatic version update by autodist

* Sat Oct 01 2016 Automatic Build System <autodist@mambasoft.it> 2.19-1mamba
- automatic version update by autodist

* Thu Jun 16 2016 Automatic Build System <autodist@mambasoft.it> 2.18-1mamba
- automatic version update by autodist

* Thu Jan 28 2016 Automatic Build System <autodist@mambasoft.it> 2.17-1mamba
- automatic version update by autodist

* Fri Oct 16 2015 Automatic Build System <autodist@mambasoft.it> 2.16-1mamba
- automatic version update by autodist

* Thu May 28 2015 Automatic Build System <autodist@mambasoft.it> 2.15-1mamba
- automatic version update by autodist

* Thu Jan 29 2015 Automatic Build System <autodist@mambasoft.it> 2.14-1mamba
- automatic version update by autodist

* Thu Oct 02 2014 Automatic Build System <autodist@mambasoft.it> 2.13-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 2.12-1mamba
- automatic version update by autodist

* Fri Jan 31 2014 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Wed Feb 20 2013 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Fri Jul 06 2012 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- update to 2.6

* Mon Nov 14 2011 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Jun 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-1mamba
- update to 1.6

* Sat Feb 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1mamba
- package created by autospec
